window.Gleam.initSearch([{"doc":"catppuccin","title":"catppuccin","content":"&lt;h3 align=&quot;center&quot;&gt;\n\t&lt;img src=&quot;https://raw.githubusercontent.com/catppuccin/catppuccin/main/assets/logos/exports/1544x1544_circle.png&quot; width=&quot;100&quot; alt=&quot;Logo&quot;/&gt;&lt;br/&gt;\n\t&lt;img src=&quot;https://raw.githubusercontent.com/catppuccin/catppuccin/main/assets/misc/transparent.png&quot; height=&quot;30&quot; width=&quot;0px&quot;/&gt;\n\tCatppuccin for &lt;a href=&quot;https://github.com/gleam-lang/gleam&quot;&gt;Gleam&lt;/a&gt;\n\t&lt;img src=&quot;https://raw.githubusercontent.com/catppuccin/catppuccin/main/assets/misc/transparent.png&quot; height=&quot;30&quot; width=&quot;0px&quot;/&gt;\n&lt;/h3&gt;\n\n&lt;p align=&quot;center&quot;&gt;\n\t&lt;a href=&quot;https://hex.pm/packages/catppuccin&quot;&gt;&lt;img alt=&quot;Package Version&quot; src=&quot;https://img.shields.io/hexpm/v/catppuccin?style=for-the-badge&amp;color=7287fd&amp;colorA=363a4f&quot;&gt;&lt;/a&gt;\n\t&lt;a href=&quot;https://hexdocs.pm/catppuccin/&quot;&gt;&lt;img alt=&quot;Hex Docs&quot; src=&quot;https://img.shields.io/badge/hex-docs-ffaff3?style=for-the-badge&amp;color=c6a0f6&amp;colorA=363a4f&quot;&gt;&lt;/a&gt;\n&lt;/p&gt;\n\n&lt;p align=&quot;center&quot;&gt;\n\t&lt;a href=&quot;https://github.com/MAHcodes/catppuccin/stargazers&quot;&gt;&lt;img src=&quot;https://img.shields.io/github/stars/MAHcodes/catppuccin?colorA=363a4f&amp;colorB=b7bdf8&amp;style=for-the-badge&quot;&gt;&lt;/a&gt;\n\t&lt;a href=&quot;https://github.com/MAHcodes/catppuccin/issues&quot;&gt;&lt;img src=&quot;https://img.shields.io/github/issues/MAHcodes/catppuccin?colorA=363a4f&amp;colorB=f5a97f&amp;style=for-the-badge&quot;&gt;&lt;/a&gt;\n\t&lt;a href=&quot;https://github.com/MAHcodes/catppuccin/contributors&quot;&gt;&lt;img src=&quot;https://img.shields.io/github/contributors/MAHcodes/catppuccin?colorA=363a4f&amp;colorB=a6da95&amp;style=for-the-badge&quot;&gt;&lt;/a&gt;\n&lt;/p&gt;\n\n&lt;p align=&quot;center&quot;&gt;\n\t&lt;img src=&quot;https://raw.githubusercontent.com/MAHcodes/catppuccin/master/assets/out.gif&quot;/&gt;\n&lt;/p&gt;\n\n## 📦 Installation\n\n```sh\ngleam add catppuccin\n```\n\n## 🚀 Usage\n\n```gleam\nimport catppuccin\nimport gleam/io\nimport gleam_community/colour\n\npub fn main() {\n  catppuccin.frappe()\n  |&gt; catppuccin.flavour_name\n  |&gt; io.debug\n  // &quot;Frappé&quot;\n\n  catppuccin.macchiato()\n  |&gt; catppuccin.subtext1\n  |&gt; catppuccin.color_name\n  |&gt; io.debug\n  // &quot;Subtext 1&quot;\n\n  catppuccin.mocha()\n  |&gt; catppuccin.mauve\n  |&gt; catppuccin.to_color\n  |&gt; colour.to_rgba\n  |&gt; io.debug\n  // #(0.796078431372549, 0.6509803921568628, 0.9686274509803922, 1.0)\n\n  catppuccin.latte()\n  |&gt; catppuccin.mauve\n  |&gt; catppuccin.to_color\n  |&gt; colour.to_hsla\n  |&gt; io.debug\n  // #(0.739010989010989, 0.8504672897196262, 0.5803921568627451, 1.0)\n}\n```\n\n## 🙋 FAQ\n\n-\tQ: **_&quot;Where can I find the doc?&quot;_**\\\n\tA: Further documentation can be found at &lt;https://hexdocs.pm/catppuccin&gt;.\n\n## 🛠️ Development\n\nThe project under `codegen` directory is used to generate the library based on the contents of [palette.json](https://raw.githubusercontent.com/catppuccin/palette/main/palette.json).\n\n1. Clone this repository locally\n    ```sh\n    git clone https://github.com/MAHcodes/catppuccin/\n    ```\n2. Cd to the `codegen` directory\n    ```sh\n    cd codegen\n    ```\n3. Run the project to generate files\n    ```sh\n    gleam run\n    ```\n4. Replace the generated files\n    ```sh\n    mv -iv out/catppuccin.gleam ../src/\n    ```\n\n## 💝 Thanks to\n\n- [MAHcodes](https://github.com/MAHcodes)\n\n&amp;nbsp;\n\n&lt;p align=&quot;center&quot;&gt;\n\t&lt;img src=&quot;https://raw.githubusercontent.com/catppuccin/catppuccin/main/assets/footers/gray0_ctp_on_line.svg?sanitize=true&quot; /&gt;\n&lt;/p&gt;\n\n&lt;p align=&quot;center&quot;&gt;\n\tCopyright &amp;copy; 2021-present &lt;a href=&quot;https://github.com/catppuccin&quot; target=&quot;_blank&quot;&gt;Catppuccin Org&lt;/a&gt;\n&lt;/p&gt;\n\n&lt;p align=&quot;center&quot;&gt;\n\t&lt;a href=&quot;https://github.com/catppuccin/catppuccin/blob/main/LICENSE&quot;&gt;&lt;img src=&quot;https://img.shields.io/static/v1.svg?style=for-the-badge&amp;label=License&amp;message=MIT&amp;logoColor=d9e0ee&amp;colorA=363a4f&amp;colorB=b7bdf8&quot;/&gt;&lt;/a&gt;\n&lt;/p&gt;\n","url":"index.html"},{"doc":"catppuccin","title":"Color","content":"pub opaque type Color\n\n\nSynonyms:\ncatppuccin.Color\ncatppuccin Color","url":"catppuccin.html#Color"},{"doc":"catppuccin","title":"Flavor","content":"pub opaque type Flavor\n\n\nSynonyms:\ncatppuccin.Flavor\ncatppuccin Flavor","url":"catppuccin.html#Flavor"},{"doc":"catppuccin","title":"accent","content":"pub fn accent(color: Color) -&gt; Bool\n\nSynonyms:\ncatppuccin.accent\ncatppuccin accent","url":"catppuccin.html#accent"},{"doc":"catppuccin","title":"base","content":"pub fn base(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.base\ncatppuccin base","url":"catppuccin.html#base"},{"doc":"catppuccin","title":"blue","content":"pub fn blue(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.blue\ncatppuccin blue","url":"catppuccin.html#blue"},{"doc":"catppuccin","title":"color_name","content":"pub fn color_name(color: Color) -&gt; String\n\nSynonyms:\ncatppuccin.color_name\ncatppuccin color_name","url":"catppuccin.html#color_name"},{"doc":"catppuccin","title":"color_order","content":"pub fn color_order(color: Color) -&gt; Int\n\nSynonyms:\ncatppuccin.color_order\ncatppuccin color_order","url":"catppuccin.html#color_order"},{"doc":"catppuccin","title":"crust","content":"pub fn crust(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.crust\ncatppuccin crust","url":"catppuccin.html#crust"},{"doc":"catppuccin","title":"dark","content":"pub fn dark(flavor: Flavor) -&gt; Bool\n\nSynonyms:\ncatppuccin.dark\ncatppuccin dark","url":"catppuccin.html#dark"},{"doc":"catppuccin","title":"emoji","content":"pub fn emoji(flavor: Flavor) -&gt; String\n\nSynonyms:\ncatppuccin.emoji\ncatppuccin emoji","url":"catppuccin.html#emoji"},{"doc":"catppuccin","title":"flamingo","content":"pub fn flamingo(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.flamingo\ncatppuccin flamingo","url":"catppuccin.html#flamingo"},{"doc":"catppuccin","title":"flavor_name","content":"pub fn flavor_name(flavor: Flavor) -&gt; String\n\nSynonyms:\ncatppuccin.flavor_name\ncatppuccin flavor_name","url":"catppuccin.html#flavor_name"},{"doc":"catppuccin","title":"flavor_order","content":"pub fn flavor_order(flavor: Flavor) -&gt; Int\n\nSynonyms:\ncatppuccin.flavor_order\ncatppuccin flavor_order","url":"catppuccin.html#flavor_order"},{"doc":"catppuccin","title":"frappe","content":"pub fn frappe() -&gt; Flavor\n\nSynonyms:\ncatppuccin.frappe\ncatppuccin frappe","url":"catppuccin.html#frappe"},{"doc":"catppuccin","title":"green","content":"pub fn green(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.green\ncatppuccin green","url":"catppuccin.html#green"},{"doc":"catppuccin","title":"latte","content":"pub fn latte() -&gt; Flavor\n\nSynonyms:\ncatppuccin.latte\ncatppuccin latte","url":"catppuccin.html#latte"},{"doc":"catppuccin","title":"lavender","content":"pub fn lavender(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.lavender\ncatppuccin lavender","url":"catppuccin.html#lavender"},{"doc":"catppuccin","title":"macchiato","content":"pub fn macchiato() -&gt; Flavor\n\nSynonyms:\ncatppuccin.macchiato\ncatppuccin macchiato","url":"catppuccin.html#macchiato"},{"doc":"catppuccin","title":"mantle","content":"pub fn mantle(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.mantle\ncatppuccin mantle","url":"catppuccin.html#mantle"},{"doc":"catppuccin","title":"maroon","content":"pub fn maroon(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.maroon\ncatppuccin maroon","url":"catppuccin.html#maroon"},{"doc":"catppuccin","title":"mauve","content":"pub fn mauve(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.mauve\ncatppuccin mauve","url":"catppuccin.html#mauve"},{"doc":"catppuccin","title":"mocha","content":"pub fn mocha() -&gt; Flavor\n\nSynonyms:\ncatppuccin.mocha\ncatppuccin mocha","url":"catppuccin.html#mocha"},{"doc":"catppuccin","title":"overlay0","content":"pub fn overlay0(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.overlay0\ncatppuccin overlay0","url":"catppuccin.html#overlay0"},{"doc":"catppuccin","title":"overlay1","content":"pub fn overlay1(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.overlay1\ncatppuccin overlay1","url":"catppuccin.html#overlay1"},{"doc":"catppuccin","title":"overlay2","content":"pub fn overlay2(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.overlay2\ncatppuccin overlay2","url":"catppuccin.html#overlay2"},{"doc":"catppuccin","title":"peach","content":"pub fn peach(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.peach\ncatppuccin peach","url":"catppuccin.html#peach"},{"doc":"catppuccin","title":"pink","content":"pub fn pink(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.pink\ncatppuccin pink","url":"catppuccin.html#pink"},{"doc":"catppuccin","title":"red","content":"pub fn red(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.red\ncatppuccin red","url":"catppuccin.html#red"},{"doc":"catppuccin","title":"rosewater","content":"pub fn rosewater(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.rosewater\ncatppuccin rosewater","url":"catppuccin.html#rosewater"},{"doc":"catppuccin","title":"sapphire","content":"pub fn sapphire(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.sapphire\ncatppuccin sapphire","url":"catppuccin.html#sapphire"},{"doc":"catppuccin","title":"sky","content":"pub fn sky(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.sky\ncatppuccin sky","url":"catppuccin.html#sky"},{"doc":"catppuccin","title":"subtext0","content":"pub fn subtext0(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.subtext0\ncatppuccin subtext0","url":"catppuccin.html#subtext0"},{"doc":"catppuccin","title":"subtext1","content":"pub fn subtext1(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.subtext1\ncatppuccin subtext1","url":"catppuccin.html#subtext1"},{"doc":"catppuccin","title":"surface0","content":"pub fn surface0(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.surface0\ncatppuccin surface0","url":"catppuccin.html#surface0"},{"doc":"catppuccin","title":"surface1","content":"pub fn surface1(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.surface1\ncatppuccin surface1","url":"catppuccin.html#surface1"},{"doc":"catppuccin","title":"surface2","content":"pub fn surface2(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.surface2\ncatppuccin surface2","url":"catppuccin.html#surface2"},{"doc":"catppuccin","title":"teal","content":"pub fn teal(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.teal\ncatppuccin teal","url":"catppuccin.html#teal"},{"doc":"catppuccin","title":"text","content":"pub fn text(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.text\ncatppuccin text","url":"catppuccin.html#text"},{"doc":"catppuccin","title":"to_color","content":"pub fn to_color(color: Color) -&gt; Colour\n alias for `to_colour`\n\nSynonyms:\ncatppuccin.to_color\ncatppuccin to_color","url":"catppuccin.html#to_color"},{"doc":"catppuccin","title":"to_colour","content":"pub fn to_colour(color: Color) -&gt; Colour\n The color represented as a [`Colour`](https://hexdocs.pm/gleam_community_colour/gleam_community/colour.html) type from [gleam_community_colour](https://hexdocs.pm/gleam_community_colour/gleam_community/colour.html).  \n For more information, refer to the [`gleam_community_colour`](https://hexdocs.pm/gleam_community_colour/gleam_community/colour.html#Colour).  \n\nSynonyms:\ncatppuccin.to_colour\ncatppuccin to_colour","url":"catppuccin.html#to_colour"},{"doc":"catppuccin","title":"yellow","content":"pub fn yellow(flavor: Flavor) -&gt; Color\n\nSynonyms:\ncatppuccin.yellow\ncatppuccin yellow","url":"catppuccin.html#yellow"},{"doc":"catppuccin","title":"catppuccin","content":" ⭐️ Soothing pastel library for Gleam\n","url":"catppuccin.html"}]);